## policykit-1 123

=== meson_options.txt ===
option('session_tracking', type: 'combo', choices: ['libsystemd-login', 'libelogind', 'ConsoleKit'], value: 'ConsoleKit', description: 'session tracking (libsystemd-login/libelogind/ConsoleKit)')
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')

option('libs-only', type: 'boolean', value: false, description: 'Only build libraries (skips building polkitd)')
option('polkitd_user', type: 'string', value: 'polkitd', description: 'User for running polkitd (polkitd)')

option('authfw', type: 'combo', choices: ['pam', 'shadow', 'bsdauth'], value: 'pam', description: 'Authentication framework (pam/shadow)')
option('os_type', type: 'combo', choices: ['redhat', 'suse', 'gentoo', 'pardus', 'solaris', 'netbsd', 'lfs', ''], value: '', description: 'distribution or OS')

option('pam_include', type: 'string', value: '', description: 'pam file to include')
option('pam_module_dir', type: 'string', value: '', description: 'directory to install PAM security module')
option('pam_prefix', type: 'string', value: '', description: 'specify where pam files go')

option('examples', type: 'boolean', value: false, description: 'Build example programs')
option('tests', type: 'boolean', value: false, description: 'Build tests')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: false, description: 'build manual pages')
option('js_engine', type: 'combo', choices: ['mozjs', 'duktape'], value: 'duktape', description: 'javascript engine')

## policykit-1 0.101

=== debian/changelog ===
policykit-1 (0.101-1ubuntu1) natty; urgency=low

  * SECURITY UPDATE: avoid /proc race conditions when checking privileges
    for pkexec.
    - Add debian/patches/10_fix_proc_race.patch: fix from upstream.
    - Add debian/patches/99_ignore_quilt_po.patch: ignore .pc/ for po files.
    - update debian/libpolkit-gobject-1-0.symbols for new symbols.
    - CVE-2011-1485

 -- Kees Cook <kees@ubuntu.com>  Tue, 19 Apr 2011 12:18:28 -0700

policykit-1 (0.101-1) experimental; urgency=low

  * New upstream release.
  * Update patches
    - Drop debian/patches/04_test_signalfd.patch, merged upstream.
    - Refresh other patches to apply cleanly.
  * debian/libpolkit-gobject-1-0.symbols
    - Add polkit_authorization_result_get_dismissed.
  * debian/control
    - Bump Build-Depends on libglib2.0-dev to (>= 2.28.0).
  * debian/rules
    - Don't build example programs.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Mar 2011 23:50:17 +0100

policykit-1 (0.100-1) experimental; urgency=low

  * New upstream release.
  * Refresh debian/patches/03_complete_session.patch.
  * Replace debian/patches/04_test_signalfd.patch with a patch that was merged
    upstream. This also allows to drop debian/patches/99_autoreconf.patch.
  * Switch from cdbs to dh.
  * Bump debhelper compatibility level to 8.
  * Install documentation using debian/policykit-1.docs.
  * Enable gobject introspection support.
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~) and gir1.2-glib-2.0.
    - Add package gir1.2-polkit-1.0 containing the typelib files.
    - Install gir files in libpolkit-agent-1-dev.install and
      libpolkit-gobject-1-dev.install.
    - Call dh_girepository in debian/rules.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 19:51:17 +0100

policykit-1 (0.99-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Feb 2011 19:21:36 +0100

policykit-1 (0.99-2) experimental; urgency=low

  [ Michael Biebl ]
  * Merge sudo group changes from unstable branch.

  [ Martin Pitt ]
  * debian/rules: Use dpkg-vendor instead of lsb_release. Drop lsb-release
    build dependency.
  * Add 04_test_signalfd.patch: Allow building on Non-Linux platforms without
    signalfd(). (Closes: #602476)
  * Add 99_autoreconf.patch: Pick up autoreconf changes from previous patch.

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Dec 2010 16:28:11 +0100

policykit-1 (0.99-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/00git-fix-error-freeing.patch
    - Remove, fixed upstream.
  * debian/patches/00git-pkexec-information-disclosure.patch
    - Remove, merged upstream.
  * debian/control
    - Drop Build-Depends on libeggdbus-1-dev.
    - Bump Build-Depends on libglib2.0-dev to (>= 2.25.12) for GDBus.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.

  [ Robert Ancell ]
  * Add debian/patches/02_gettext.patch: Use gettext for translations in
    .policy files if they specify a gettext domain.

  [ James Westby ]
  * Add debian/patches/03_complete_session.patch: Fix the race that leads to
    the password box disappearing, but the dialog remaining.

  [ Martin Pitt ]
  * debian/rules: Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4 to point out outdated
    .symbols files more strongly.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Nov 2010 17:27:09 -0400

policykit-1 (0.96-4) unstable; urgency=low

  * debian/rules
    - When building for Debian, install a localauthority.conf.d configuration
      file which considers "sudo" group users as administrators.
      (Closes: #532499)

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Nov 2010 23:21:50 +0100

policykit-1 (0.96-3) unstable; urgency=low

  * debian/control
    - Use architecture wildcard linux-any for libselinux1-dev.
    - Bump Standards-Version to 3.9.1.
  * debian/policykit-1.postinst
    - Query D-Bus to find out the correct pid of the process claiming
      org.freedesktop.PolicyKit1. This way we do not accidentally kill the
      wrong process when being installed in a chroot. (Closes: #595030)
  * debian/policykit-1.prerm
    - Stop polkitd on remove. (Closes: #595031)

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Sep 2010 23:27:56 +0200

policykit-1 (0.96-2) unstable; urgency=medium

  * Urgency medium, just two small, but important bug fixes.
  * Add 00git-pkexec-information-disclosure.patch: Fix information disclosure
    vulnerability that allows an attacker to verify whether or not arbitrary
    files exist, violating directory permissions.
  * 00git-fix-error-freeing.patch: Fix crash when calling CheckAuthorization()
    with an invalid PID. (LP: #540464)

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Apr 2010 12:09:53 +0200

policykit-1 (0.96-1) unstable; urgency=low

  * New upstream release.
  * debian/libpolkit-backend-1-0.symbols
    - Update for new API addition.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Jan 2010 00:05:48 +0100

policykit-1 (0.95-1) unstable; urgency=low

  * New upstream release.
  * Remove patches
    - debian/patches/02_dont_export_private_symbols.patch (merged upstream)
    - debian/patches/03_path_max.patch (merged upstream)
    - debian/patches/04-ref-authority.patch (merged upstream)
    - debian/patches/05-pkexec-env.patch (merged upstream)
    - debian/patches/99_autoreconf.patch (obsolete)
  * debian/control
    - Bump Build-Depends on libeggbus-1-dev to (>= 0.6).
  * debian/rules
    - The example application is no longer built by default so we don't need
      to manually remove it anymore.
  * debian/libpolkit-{backend,gobject}-1-0.symbols
    - Update for new API additions.

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Nov 2009 05:33:34 +0100

policykit-1 (0.94-6) unstable; urgency=low

  * debian/policykit-1.postinst


=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 8),
 autotools-dev,
 pkg-config,
 libglib2.0-dev (>= 2.28.0),
 libexpat1-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 gtk-doc-tools,
 xsltproc,
 libgirepository1.0-dev (>= 0.9.12),
 gobject-introspection (>= 0.9.12-4~),
 gir1.2-glib-2.0
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-utopia/policykit.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/policykit.git;a=summary
Homepage: http://hal.freedesktop.org/docs/PolicyKit/

Package: policykit-1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, consolekit, dbus
Description: framework for managing administrative policies and privileges
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations (like calling the HAL Mount() method)
 for unprivileged (desktop) applications.

Package: policykit-1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for PolicyKit-1
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the API documentation of PolicyKit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: policykit-1 (<< 0.99), libpolkit-gtk-1-0 (<< 0.99), libpolkit-agent-1-0 (<< 0.99), libpolkit-backend-1-0 (<< 0.99)
Description: PolicyKit Authorization API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing PolicyKit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-gobject-1-0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
Description: PolicyKit Authorization API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolicyKit Authentication Agent API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-agent-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev
Description: PolicyKit Authentication Agent API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: libpolkit-backend-1-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: policykit-1 (<< 0.99)
Description: PolicyKit backend API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for implementing authentication backends.

Package: libpolkit-backend-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-backend-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev
Description: PolicyKit backend API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-backend-1-0.

Package: gir1.2-polkit-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GObject introspection data for PolicyKit
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains introspection data for PolicyKit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## policykit-1 0.102

=== debian/changelog ===
policykit-1 (0.102-2) unstable; urgency=low

  * 02_gettext.patch: Explicitly #include <locale.h> to fix non-optimized
    build. Thanks Ivan Krasilnikov for pointing this out.
  * debian/rules: When building on Ubuntu, also consider the "sudo" group as
    administrator, for compatibility with Debian and sudo itself. Keep "admin"
    for existing systems. (LP: #893842)
  * Convert to Multi-Arch and dh compat 9. Thanks Daniel Schaal for the
    patch! (Closes: #636196)

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Nov 2011 07:44:09 +0100

policykit-1 (0.102-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00git_fix_proc_race.patch: Removed, merged upstream.
  * debian/patches/04_ignore_quilt_po.patch: Removed, merged upstream.
  * debian/patches/03_complete_session.patch: Refreshed.
  * debian/patches/04_get_cwd.patch: Use g_get_current_dir() to determine the
    current working directory. This fixes another PATH_MAX related FTBFS on
    hurd. Thanks Emilio Pozuelo Monfort for the patch. (Closes: #623017)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Aug 2011 03:17:20 +0200

policykit-1 (0.101-4) unstable; urgency=high

  Urgency high due to security fix.

  * Add 00git_fix_proc_race.patch: Avoid /proc race conditions when checking
    privileges for pkexec. Patch taken from
    https://bugzilla.redhat.com/show_bug.cgi?id=692922, now also landed in
    upstream git. [CVE-2011-1485]
  * debian/libpolkit-gobject-1-0.symbols: Update for new symbols.
  * Add 04_ignore_quilt_po.patch: Ignore .po/ for intltool. This avoids build
    failures if quilt patches change files with translatable strings. Thanks
    to Kees Cook for the patch!

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Apr 2011 12:11:38 +0200

policykit-1 (0.101-3) unstable; urgency=low

  * debian/control
    - Add Depends on gir1.2-polkit-1.0 (= ${binary:Version}) to
      libpolkit-gobject-1-dev and libpolkit-agent-1-dev to comply with the
      updated GObject introspection policy.
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Apr 2011 20:34:03 +0200

policykit-1 (0.101-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Mar 2011 02:19:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 8.1.3),
  autotools-dev,
  pkg-config,
  libglib2.0-dev (>= 2.28.0),
@@ -16,7 +15,7 @@
  libgirepository1.0-dev (>= 0.9.12),
  gobject-introspection (>= 0.9.12-4~),
  gir1.2-glib-2.0
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-utopia/policykit.git
 Vcs-Browser: http://git.debian.org/?p=pkg-utopia/policykit.git;a=summary
 Homepage: http://hal.freedesktop.org/docs/PolicyKit/
@@ -24,13 +23,14 @@
 Package: policykit-1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, consolekit, dbus
+Multi-Arch: foreign
 Description: framework for managing administrative policies and privileges
  PolicyKit is an application-level toolkit for defining and handling the policy
  that allows unprivileged processes to speak to privileged processes.
  .
  It is a framework for centralizing the decision making process with respect to
- granting access to privileged operations (like calling the HAL Mount() method)
- for unprivileged (desktop) applications.
+ granting access to privileged operations for unprivileged (desktop)
+ applications.
 
 Package: policykit-1-doc
 Architecture: all
@@ -46,7 +46,9 @@
 Package: libpolkit-gobject-1-0
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Breaks: policykit-1 (<< 0.99), libpolkit-gtk-1-0 (<< 0.99), libpolkit-agent-1-0 (<< 0.99), libpolkit-backend-1-0 (<< 0.99)
 Description: PolicyKit Authorization API
  PolicyKit is a toolkit for defining and handling the policy that
@@ -57,7 +59,7 @@
 Package: libpolkit-gobject-1-dev
 Architecture: any
 Section: libdevel
-Depends: libpolkit-gobject-1-0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev
+Depends: libpolkit-gobject-1-0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev, gir1.2-polkit-1.0 (= ${binary:Version})
 Description: PolicyKit Authorization API - development files
  PolicyKit is a toolkit for defining and handling the policy that
  allows unprivileged processes to speak to privileged processes.
@@ -68,7 +70,9 @@
 Package: libpolkit-agent-1-0
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: PolicyKit Authentication Agent API
  PolicyKit is a toolkit for defining and handling the policy that
  allows unprivileged processes to speak to privileged processes.
@@ -78,7 +82,7 @@
 Package: libpolkit-agent-1-dev
 Architecture: any
 Section: libdevel
-Depends: libpolkit-agent-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev
+Depends: libpolkit-agent-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev, gir1.2-polkit-1.0 (= ${binary:Version})
 Description: PolicyKit Authentication Agent API - development files
  PolicyKit is a toolkit for defining and handling the policy that
  allows unprivileged processes to speak to privileged processes.
@@ -89,7 +93,9 @@
 Package: libpolkit-backend-1-0
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Breaks: policykit-1 (<< 0.99)
 Description: PolicyKit backend API
  PolicyKit is a toolkit for defining and handling the policy that

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-man-pages \
		--enable-introspection \
		--disable-examples \
		--libexecdir=\$${prefix}/lib/policykit-1

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/polkit-1/

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository

override_dh_install:
	dh_install
	# on Debian use sudo group; on Ubuntu, also allow the admin group for
	# historical reasons
	if dpkg-vendor --is ubuntu; then \
	    /bin/echo -e "[Configuration]\nAdminIdentities=unix-group:sudo;unix-group:admin" > debian/policykit-1/etc/polkit-1/localauthority.conf.d/51-ubuntu-admin.conf; \
	elif dpkg-vendor --is debian; then \
	    /bin/echo -e "[Configuration]\nAdminIdentities=unix-group:sudo" > debian/policykit-1/etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf; \
	fi

## policykit-1 0.103

=== debian/changelog ===
policykit-1 (0.103-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Change section of gir1.2-polkit-1.0 to introspection.
  * 05_revert-admin-identities-unix-group-wheel.patch: Revert upstream change
    to make group wheel the default admin identity since we already use group
    sudo resp. group admin for that.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Dec 2011 00:48:17 +0100

## policykit-1 0.104

=== debian/changelog ===
policykit-1 (0.104-1ubuntu1) precise-proposed; urgency=low

  * debian/patches/07_pam_environment.patch: set process environment
    from pam_getenvlist().  Closes LP: #982684.
  * debian/patches/01_pam_polkit.patch: adjust patch to invoke pam_env, so
    our global settings from /etc/environment are applied correctly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2012 15:15:52 -0700

policykit-1 (0.104-1) unstable; urgency=low

  * New upstream release.
    - Add support for netgroups. (LP: #724052)
  * debian/rules: Disable systemd support, continue to work with ConsokeKit.
  * 05_revert-admin-identities-unix-group-wheel.patch: Refresh to apply
    cleanly.
  * debian/libpolkit-gobject-1-0.symbols: Add new symbols from this new
    release.
  * debian/rules: Do not let test failures fail the build. The new test suite
    also runs a test against the system D-BUS/ConsoleKit, which can't work on
    buildds.

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Jan 2012 12:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
  autotools-dev,
@@ -115,7 +116,7 @@
  libpolkit-backend-1-0.
 
 Package: gir1.2-polkit-1.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: GObject introspection data for PolicyKit

=== debian/watch ===
version=3

http://hal.freedesktop.org/releases/polkit-(.*)\.tar\.gz

## policykit-1 0.105

=== debian/changelog ===
policykit-1 (0.105-33) unstable; urgency=medium

  * d/p/0.121/CVE-2021-4115-GHSL-2021-077-fix.patch:
    Attribute CVE-2021-4115 patch to its author.
    Move it into debian/patches/0.121 to indicate that it is a backport from
    upstream git, expected to be included in 0.121.
  * d/p/Fix-a-crash-when-authorization-is-implied.patch:
    Add patch to fix a crash when one authorization implies another

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Feb 2022 11:11:57 +0000

policykit-1 (0.105-32) unstable; urgency=medium

  * Use upstream patch for CVE-2021-3560.
    This patch was included in 0.119, so move it into the 0.119/ directory
    in the patch series.
  * d/patches: Use upstream's finalized patch for CVE-2021-4034.
    The patch that was provided to distributors under embargo was not the
    final version: it used a different exit status, and made an attempt to
    show help. The version that was actually committed after the embargo
    period ended interprets argc == 0 as an attack rather than a mistake,
    and does not attempt to show the help message.
  * Move some Debian-specific patches into d/p/debian/.
    This makes it more obvious that they are not intended to go upstream.
  * d/control: Split the package.
    pkexec is a setuid program, which makes it a higher security risk than
    the more typical IPC-based uses of polkit. If we separate out pkexec
    into its own package, then only packages that rely on being able to run
    pkexec will have to depend on it, reducing attack surface for users
    who are able to remove the pkexec package.
  * d/control: policykit-1 Provides polkitd-pkla.
    This will give us a migration path to the separate per-backend packages
    currently available in experimental.
  * Add patch from Fedora to fix denial of service via fd exhaustion.
    CVE-2021-4115 (Closes: #1005784)
  * Standards-Version: 4.6.0 (no changes required)
  * Build-depend on dbus-daemon instead of dbus.
    We only need dbus-run-session at build time; we don't need a
    fully-working system bus.
  * Use d/watch format version 4
  * d/rules: Create localauthority configuration with install(1), not
    echo(1). This aligns the packaging a bit more closely with experimental.
  * Always configure the sudo group as root-equivalent.
    This avoids Debian derivatives getting an unexpected change in behaviour
    when they switch from inheriting Debian's policykit-1 package to
    building their own policykit-1 package, perhaps as a result of wanting
    to apply an unrelated patch.
    The sudo group is defined to be root-equivalent in base-passwd, so this
    should be equally true for all Debian derivatives.
    Thanks to Arnaud Rebillout.
  * d/polkitd.links: Create more polkit-agent-helper-1 symlinks.
    This executable has moved several times, and its path gets compiled
    into the libpolkit-agent-1-0 shared library. Making the executable
    available in all the locations it has previously had is helpful when
    swapping between versions during testing.
  * Acknowledge CVE-2021-4034 NMU. Thanks to Salvatore Bonaccorso.

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Feb 2022 12:45:14 +0000

policykit-1 (0.105-31.1) unstable; urgency=high

  * Non-maintainer upload.
  * Local Privilege Escalation in polkit's pkexec (CVE-2021-4034)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Jan 2022 06:34:44 +0100

policykit-1 (0.105-31) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * d/p/CVE-2021-3560.patch:
    Fix local privilege escalation involving
    polkit_system_bus_name_get_creds_sync() (CVE-2021-3560)
    (Closes: #989429)

 -- Simon McVittie <smcv@debian.org>  Thu, 03 Jun 2021 17:06:34 +0100

policykit-1 (0.105-30) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate Build-Depends: dbus <!nocheck> (Closes: #980998)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:56:09 +0000

policykit-1 (0.105-29) unstable; urgency=medium

  * Add symlink for polkit-agent-helper-1 after the move to /usr/libexec.
    If a process still has an old copy of libpolkit-agent-1.so.0 loaded, it
    will fail to find the binary at the new location. So create a symlink to
    prevent authentication failures on upgrades. (Closes: #965210)

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Aug 2020 11:05:29 +0200

policykit-1 (0.105-28) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * postinst: Fix polkit-agent-helper-1 path

  [ Michael Biebl ]
  * Fix polkitd path in polkit.service (Closes: #965164)
  * Use --restart-after-upgrade.
    With debhelper 13.1, --no-start will disable --restart-after-upgrade.
    Since we want the service to be restarted on upgrades, request that
    explicitly.
  * Remove old maintscript migration code from pre-oldstable

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Jul 2020 10:49:51 +0200

policykit-1 (0.105-27) unstable; urgency=medium

  * Switch to /usr/libexec now that it is allowed by debian policy
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0
  * Try harder to look up the right localization.
    Fixes out-of-bounds read in _localize. (Closes: #956223)

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Jul 2020 00:50:43 +0200

policykit-1 (0.105-26) unstable; urgency=medium

  [ Mark Hindley ]
  * Depend on new virtual packages default-logind and logind
    (Closes: #923240)

  [ Simon McVittie ]
  * Apply most changes from upstream release 0.116
    - d/p/0.116/Elaborate-message-printed-by-polkit-when-disconnecting-fr.patch,
      d/p/0.116/Error-message-raised-on-every-systemctl-start-in-emergenc.patch:
      Reduce messages to stderr from polkit agents, in particular when using
      "systemctl reboot" on a ssh connection or when using "systemctl start"
      in systemd emergency mode
    - d/p/0.116/Fix-a-critical-warning-on-calling-polkit_permission_new_s.patch:
      Fix critical warnings when calling polkit_permission_new_sync() with
      no D-Bus system bus


=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Biebl <biebl@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 gobject-introspection (>= 0.9.12-4~),
 gtk-doc-tools,
 intltool (>= 0.40.0),
 libexpat1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.28.0),
 libglib2.0-doc,
 libgtk-3-doc,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any],
 pkg-config,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
Homepage: https://www.freedesktop.org/wiki/Software/polkit/

Package: polkitd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dbus,
 default-logind | logind,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 polkitd-pkla (= ${binary:Version}),
Breaks:
 policykit-1 (<< 0.105-32~),
Replaces:
 policykit-1 (<< 0.105-32~),
Multi-Arch: foreign
Description: framework for managing administrative policies and privileges
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.
 .
 In a typical use of polkit, an unprivileged application such as gnome-disks
 sends requests via D-Bus or other inter-process communication mechanisms
 to a privileged system service such as udisks, which asks polkitd for
 permission to process those requests. This allows the application to carry
 out privileged tasks without making use of setuid, which avoids several
 common sources of security vulnerabilities.
 .
 This package provides the polkitd D-Bus service and supporting programs.
 The pkexec program is not included, and can be found in the pkexec package.

Package: pkexec
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.105-32~),
Replaces:
 policykit-1 (<< 0.105-32~),
Multi-Arch: foreign
Description: run commands as another user with polkit authorization
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 pkexec is a setuid program to allow certain users to run commands as
 root or as a different user, similar to sudo. Unlike sudo, it carries
 out authentication and authorization by sending a request to polkit,
 so it uses desktop environments' familiar prompting mechanisms for
 authentication and uses polkit policies for authorization decisions.
 .
 By default, members of the 'sudo' Unix group can use pkexec to run any
 command after authenticating. The authorization rules can be changed by
 the local system administrator.
 .
 If this functionality is not required, removing the pkexec package will
 reduce security risk by removing a setuid program.

Package: policykit-1
Section: oldlibs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 pkexec (= ${binary:Version}),
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: transitional package for polkitd and pkexec
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This transitional package depends on polkitd, the system service used by
 polkit, and pkexec, a setuid program analogous to sudo. They were
 historically packaged together, but have been separated so that users of
 polkitd are not required to install pkexec.

Package: policykit-1-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: documentation for PolicyKit-1
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the API documentation of PolicyKit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: PolicyKit Authorization API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing PolicyKit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-1-0 (= ${binary:Version}),
 ${misc:Depends},
Description: PolicyKit Authorization API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: PolicyKit Authentication Agent API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libpolkit-agent-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${misc:Depends},
Description: PolicyKit Authentication Agent API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gir1.2-polkitagent-1.0 (= ${binary:Version}),
Description: GObject introspection data for PolicyKit
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains introspection data for PolicyKit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with gir

DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

ifeq (linux,$(DEB_HOST_ARCH_OS))
  SYSTEMD_CONFIG_FLAG = --enable-systemd
else
  SYSTEMD_CONFIG_FLAG = --disable-systemd
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-man-pages \
		--enable-introspection \
		$(SYSTEMD_CONFIG_FLAG) \
		--disable-examples

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# on buildds we can't rely on actually having a system bus
	dbus-run-session -- sh -c 'DBUS_SYSTEM_BUS_ADDRESS=$$DBUS_SESSION_BUS_ADDRESS make check'
endif

override_dh_install:
	install -d debian/tmp/etc/polkit-1/localauthority.conf.d
	chmod 0700 debian/tmp/etc/polkit-1/localauthority.conf.d
	# on Debian use sudo group; on Ubuntu, also allow the admin group for
	# historical reasons
	if dpkg-vendor --is ubuntu; then \
	    install -m644 debian/pkla/51-ubuntu-admin.conf debian/tmp/etc/polkit-1/localauthority.conf.d/; \
	else \
	    install -m644 debian/pkla/51-debian-sudo.conf debian/tmp/etc/polkit-1/localauthority.conf.d/; \
	fi
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installsystemd:
	dh_installsystemd --no-start --restart-after-upgrade

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
https://www.freedesktop.org/software/polkit/releases/polkit-(.*)\.tar\.gz

## policykit-1 0.105.10.12

=== debian/changelog ===
policykit-1 (0.105.10.12-1+dde) UNRELEASED; urgency=medium

  * fix cve-2021-4034

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 27 Jan 2022 11:32:20 +0800

policykit-1 (0.105.10.11-1+dde) UNRELEASED; urgency=medium

  * fix clear g_loop object

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 17 Jan 2022 10:21:41 +0800
 

policykit-1 (0.105.10.10-1+dde) UNRELEASED; urgency=medium

  * fix deepin helper repeat exit

 -- xiejiabo <xiejiabo@uniontech.com>  Mon, 12 Jan 2022 16:44:20 +0800
 

policykit-1 (0.105.10.9-1+dde) UNRELEASED; urgency=medium

  * fix deepin helper cannot exit

 -- pengwenhao <pengwenhao@uniontech.com>  Mon, 10 Jan 2022 14:59:49 +0800

policykit-1 (0.105.10.8-1+dde) UNRELEASED; urgency=medium

  * update version to 0.105.10.8-1+dde

 -- fanpengcheng <fanpengcheng@uniontech.com>  Fri, 03 Dec 2021 17:12:30 +0800

policykit-1 (0.105.10.7-4+dde) UNRELEASED; urgency=medium

  * init GList to fix the helper process panic

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 26 Nov 2021 13:47:15 +0800
 

policykit-1 (0.105.10.7-3+dde) UNRELEASED; urgency=medium

  * add build option 'pie', to fix CVE of arbitrary read

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 15 Nov 2021 20:44:15 +0800
 

policykit-1 (0.105.10.7-2+dde) UNRELEASED; urgency=medium

  * pkexec can work in tty

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 04 Nov 2021 11:04:15 +0800
 

policykit-1 (0.105.10.7-1+dde) UNRELEASED; urgency=medium

  * use new polkit agent and interactive control

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 14 Oct 2021 15:35:39 +0800

policykit-1 (0.105.10.6-1+dde) unstable; urgency=medium

  * add language env

 -- xiejiabo <xiejiabo@uniontech.com> Thur, 04 Mar 2021 15:37:58 +0800

policykit-1 (0.105.10.5-1+dde) unstable; urgency=medium

  [ liuyong ]
  * update whitelist

 -- liuyong <liuyong@uniontech.com> Wed, 16 Sep 2020 15:37:58 +0800

policykit-1 (0.105.10.4-1+dde) UNRELEASED; urgency=medium

  * update whitelist for deepin-recovery-tool

 -- liuyong <liuyong@uniontech.com>  Wed, 05 Aug 2020 15:44:40 +0800

policykit-1 (0.105.10.3-2+dde2) unstable; urgency=medium

  * Set polkit whitelist to immutable

policykit-1 (0.105.9-1+deepin) unstable; urgency=medium

  * Team upload
  * Add tests-add-tests-for-high-uids.patch
    - Patch from upstream modified by Ubuntu to test high UID fix
  * Compare PolkitUnixProcess uids for temporary authorizations.
    - Fix temporary auth hijacking via PID reuse and non-atomic fork
      (CVE-2019-6133) (Closes: #918985)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 15 Jan 2019 11:11:58 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_OPTIONS=nocheck

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with gir

DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

ifeq (linux,$(DEB_HOST_ARCH_OS))
  SYSTEMD_CONFIG_FLAG = --enable-systemd
else
  SYSTEMD_CONFIG_FLAG = --disable-systemd
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-man-pages \
		--enable-introspection \
		$(SYSTEMD_CONFIG_FLAG) \
		--disable-examples \
		--libexecdir=\$${prefix}/lib/policykit-1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# on buildds we can't rely on actually having a system bus
	dbus-run-session -- sh -c 'DBUS_SYSTEM_BUS_ADDRESS=$$DBUS_SESSION_BUS_ADDRESS make check'
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/polkit-1/

override_dh_install-arch:
	dh_install -a
	# on Debian use sudo group; on Ubuntu, also allow the admin group for
	# historical reasons
	if dpkg-vendor --is ubuntu; then \
	    /bin/echo -e "[Configuration]\nAdminIdentities=unix-group:sudo;unix-group:admin" > debian/policykit-1/etc/polkit-1/localauthority.conf.d/51-ubuntu-admin.conf; \
	else \
	    /bin/echo -e "[Configuration]\nAdminIdentities=unix-group:sudo" > debian/policykit-1/etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf; \
	fi

override_dh_installsystemd:
	dh_installsystemd --no-start

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sign/ \
https://www.freedesktop.org/software/polkit/releases/polkit-(.*)\.tar\.gz

## policykit-1 0.105.10.17

=== debian/changelog ===
policykit-1 (0.105.10.17-1+dde) UNRELEASED; urgency=medium

  * Revert "fix pkexec fails with No session for cookie".

 -- lichangze <lichangze@uniontech.com>  Sun, 28 Seo 2022 20:30:10 +0800

policykit-1 (0.105.10.16-1+dde) UNRELEASED; urgency=medium

  * modify check security verify.

 -- lichangze <lichangze@uniontech.com>  Sun, 13 Apr 2022 21:30:10 +0800

policykit-1 (0.105.10.15-1+dde) UNRELEASED; urgency=medium

  * add security compile options.

 -- lichangze <lichangze@uniontech.com>  Sun, 03 Apr 2022 21:30:10 +0800

policykit-1 (0.105.10.14-1+dde) UNRELEASED; urgency=medium

  * remove dependencies

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 17 Mar 2022 10:45:38 +0800

policykit-1 (0.105.10.13-1+dde) UNRELEASED; urgency=medium

  * fix use_difference_authenticate

 -- echengqi <echengqi@uniontech.com>  Thu, 24 Feb 2022 10:18:20 +0800

## policykit-1 0.105.10.19

=== debian/changelog ===
policykit-1 (0.105.10.19-1+dde) UNRELEASED; urgency=medium

  * modify the called helper and deepin helper.

 -- echengqi <echengqi@uniontech.com>  Sun, 09 Otc 2022 15:23:10 +0800

policykit-1 (0.105.10.18-1+dde) UNRELEASED; urgency=medium

  * modify the called helper.

 -- lichangze <lichangze@uniontech.com>  Sun, 30 Sep 2022 18:00:10 +0800

=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Biebl <biebl@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper (>= 11),
 gobject-introspection (>= 0.9.12-4~),
 gtk-doc-tools,
 intltool (>= 0.40.0),
 libexpat1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.28.0),
 libglib2.0-doc,
 libgtk-3-doc,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any],
 pkg-config,
 xsltproc,
 libjson-glib-dev,
 libgtk2.0-dev,
 libjson-c-dev,
 libssl-dev,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
Homepage: https://www.freedesktop.org/wiki/Software/polkit/

Package: policykit-1
Architecture: any
Depends:
 consolekit [!linux-any],
 dbus,
 libpam-systemd [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: framework for managing administrative policies and privileges
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.

Package: policykit-1-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: documentation for PolicyKit-1
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the API documentation of PolicyKit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: PolicyKit Authorization API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing PolicyKit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-1-0 (= ${binary:Version}),
 ${misc:Depends},
Description: PolicyKit Authorization API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: PolicyKit Authentication Agent API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libpolkit-agent-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${misc:Depends},
Description: PolicyKit Authentication Agent API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: libpolkit-backend-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: PolicyKit backend API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for implementing authentication backends.

Package: libpolkit-backend-1-dev
Architecture: any
Section: libdevel
Depends:
 libpolkit-backend-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${misc:Depends},
Description: PolicyKit backend API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-backend-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gir1.2-polkitagent-1.0 (= ${binary:Version}),
Description: GObject introspection data for PolicyKit
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains introspection data for PolicyKit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_OPTIONS=nocheck
+export DEB_LDFLAGS_MAINT_APPEND=-z relro -z now -z noexecstack
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## policykit-1 0.105.10.21

=== debian/changelog ===
policykit-1 (0.105.10.21-1+dde) UNRELEASED; urgency=medium

  * modify the deepin helper.

 -- echengqi <echengqi@uniontech.com>  Thu, 02 Mar 2023 14:50:02 +0800

policykit-1 (0.105.10.20-1+dde) UNRELEASED; urgency=medium

  * modify to support username is only number.

 -- lichangze <lichangze@uniontech.com>  Thu, 12 Jan 2023 17:16:35 +0800
